use crate::{Piece, PieceClass};

#[derive(Clone)]
pub struct TimingConfig {
    game_limit:Option<u32>,
        // Time available to each player
    play_limit:Option<u32>,
        // Time available per move
    timeout_mode:u8,
        // 
}
impl TimingConfig {
    pub fn new() -> Self
    {
        Self {
            game_limit:None,
            play_limit:None,
            timeout_mode:0,
        }
    }
}

#[derive(Clone)]
pub struct GameConfig {
    pieces:Vec<PieceClass>,
    board:Vec<Piece>,
    pools:[[u8; 7]; 2],
    // rules
    timing:TimingConfig,
}
impl GameConfig {
    pub fn new() -> Self
    {
        Self {
            pieces:Vec::new(),
            board:Vec::new(),
            pools:[[0; 7]; 2],

            timing:TimingConfig::new(),
        }
    }
}
